summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPeter Pickford2016-02-18 21:02:35 -0800
committerPeter Pickford2016-02-18 21:02:35 -0800
commit8f501d7cacbb79e97527143d779531d173389d49 (patch)
tree0159de2c137f52000ae9c17225e382ed16debedf
parentb68cbb3d16e6598fdc96270473f6b890ad490c21 (diff)
downloadaur-8f501d7cacbb79e97527143d779531d173389d49.tar.gz
add config.patch to correct path to lame and add lame as a dependency
-rw-r--r--.SRCINFO5
-rw-r--r--PKGBUILD12
-rw-r--r--config.patch11
3 files changed, 23 insertions, 5 deletions
diff --git a/.SRCINFO b/.SRCINFO
index c5d632e31e0..fc942140560 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,5 +1,5 @@
# Generated by makepkg 5.0.0
-# Thu Feb 18 12:11:38 UTC 2016
+# Fri Feb 19 05:00:15 UTC 2016
pkgbase = vocp
pkgdesc = VOCP is a complete messaging solution for voice modems, with voicemail, fax, email pager, DTMF command shell and Text-to-Speech support, 3 GUIs and a web interface. Send and receive faxes and voicemail, listen to emails and execute programs on the host.
pkgver = 0.9.3
@@ -19,13 +19,16 @@ pkgbase = vocp
depends = perl-tk
depends = perl-xml-mini
depends = perl-modem-vgetty
+ depends = lame
conflicts = mgetty
source = http://prdownloads.sourceforge.net/vocp/VOCP-0.9.3.tar.bz2
source = convert_sound.pl
source = install_vocp.pl
+ source = config.patch
md5sums = 1a570a1f5af11786b39f6aed4304b5c3
md5sums = b6d69da8f3221d7d51e3be4d2c067c00
md5sums = 3abd17fdd551aee139b8f40efd7a93a0
+ md5sums = 0ac9ce4ef610f6f8b5d480d07c3a2891
pkgname = vocp
diff --git a/PKGBUILD b/PKGBUILD
index e59a7faa532..e03668cc955 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -8,19 +8,23 @@ pkgdesc="VOCP is a complete messaging solution for voice modems, with voicemail,
url="http://vocp.psychogenic.net/index.php?mode=function"
license=('GPL')
arch=('i686' 'x86_64')
-depends=('mgetty-vgetty' 'perl-audio-dsp' 'perl-crypt-blowfish' 'perl-crypt-cbc' 'perl-mime-tools' 'perl-tk' 'perl-xml-mini' 'perl-modem-vgetty' )
+depends=('mgetty-vgetty' 'perl-audio-dsp' 'perl-crypt-blowfish' 'perl-crypt-cbc' 'perl-mime-tools' 'perl-tk' 'perl-xml-mini' 'perl-modem-vgetty' 'lame' )
conflicts=('mgetty')
makedepends=('make' 'perl')
install='vocp.install'
source=('http://prdownloads.sourceforge.net/vocp/VOCP-0.9.3.tar.bz2'
-'convert_sound.pl'
-'install_vocp.pl'
+ 'convert_sound.pl'
+ 'install_vocp.pl'
+ 'config.patch'
)
md5sums=('1a570a1f5af11786b39f6aed4304b5c3'
'b6d69da8f3221d7d51e3be4d2c067c00'
- '3abd17fdd551aee139b8f40efd7a93a0')
+ '3abd17fdd551aee139b8f40efd7a93a0'
+ '0ac9ce4ef610f6f8b5d480d07c3a2891')
build(){
+ cd "$srcdir/$pkgname-$pkgver"
+ patch -Np0 -i ../../config.patch || return 1
cd "$srcdir/$pkgname-$pkgver/prog/VOCP"
# Install module in vendor directories.
diff --git a/config.patch b/config.patch
new file mode 100644
index 00000000000..7b564fa2c64
--- /dev/null
+++ b/config.patch
@@ -0,0 +1,11 @@
+--- prog/bin/pvftomp3.orig 2003-02-03 15:12:52.000000000 -0800
++++ prog/bin/pvftomp3 2016-02-18 18:24:05.188636754 -0800
+@@ -28,7 +28,7 @@
+ # below since it depends on the application that you choose. "lame" is a very nice
+ # free encoder that can be installed easily. At the time of writing, you could dowmnload
+ # it from www.mp3dev.org/mp3.
+-my $encoder = "/usr/local/bin/lame";
++my $encoder = "/usr/bin/lame";
+ my $encoderOptions = " --silent --preset phon+ -h ";
+
+ my $pvftooldir = $VOCP::Vars::Defaults{'pvftooldir'} || "/usr/local/bin"; # Use full path to 'pvftoXXX' executables